using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using HtmlTextFormat;
using Common;
public partial class general_email_viewemail : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DetailsView1.DataBind();
        string sql = "update email set read_flag=1 where email_id=#email_id#";
        sql = sql.Replace("#email_id#", Request.QueryString["id"]);
        DbHelper dbh = new DbHelper();
        dbh.ExecuteSqlNonQuery(sql);
    }
    protected void DetailsView1_DataBound(object sender, EventArgs e)
    {
        DetailsView dvr = (DetailsView)sender;
        DataRowView dr = (DataRowView)dvr.DataItem;
        ((Label)(DetailsView1.FindControl("label3"))).Text = TextFormat.OutString(dr["content"].ToString());
    }
}
